##
##  x11-ssh-askpass.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         x11-ssh-askpass
Summary:      X11 Pass Phrase Dialog for OpenSSH
URL:          http://www.ntrnet.net/~jmknoble/software/x11-ssh-askpass/
Vendor:       Jim Knoble
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Converter
License:      GPL
Version:      1.2.4.1
Release:      20020206

#   list of sources
Source0:      http://www.ntrnet.net/~jmknoble/software/x11-ssh-askpass/x11-ssh-askpass-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, X11
PreReq:       OpenPKG, openpkg >= 20020206, X11
AutoReq:      no
AutoReqProv:  no

%description
    ssh-askpass is a lightweight passphrase dialog for OpenSSH or other
    variants of SSH. It uses only the stock X11 libraries (libX11,
    libXt) for its user interface.

%prep
    %setup -q -n x11-ssh-askpass-%{version}

%build
    x11_bindir=`%{l_prefix}/etc/rc --query x11_bindir`
    PATH="$x11_bindir:$PATH"; export PATH
    %{l_shtool} subst \
        -e 's;rgb:70/80/90;rgb:ff/33/33;g' \
        SshAskpass-1337.ad
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-app-defaults=SshAskpass-1337.ad \
        --disable-installing-app-defaults
    xmkmf
    %{l_make} %{l_mflags} \
        SshAskpass_ad.h \
        x11-ssh-askpass \
        x11-ssh-askpass.man

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        x11-ssh-askpass $RPM_BUILD_ROOT%{l_prefix}/bin/x11-ssh-askpass
    %{l_shtool} install -c -m 644 \
        x11-ssh-askpass.man $RPM_BUILD_ROOT%{l_prefix}/man/man1/x11-ssh-askpass.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

